Package Details: abiword-gtk2 3.0.4-2

Git Clone URL: https://aur.archlinux.org/abiword-gtk2.git (read-only, click to copy)
Package Base: abiword-gtk2
Description: Fully-featured word processor, GTk2, No plugins, Lite version
Upstream URL: https://www.abisource.com
Licenses: GPL
Conflicts: abiword, abiword-plugins
Submitter: WorMzy
Maintainer: zootboy
Last Packager: WorMzy
Votes: 14
Popularity: 0.79
First Submitted: 2015-09-16 20:38
Last Updated: 2021-05-01 12:06

Latest Comments

1 2 Next › Last »

zootboy commented on 2021-05-02 05:06

And adopted. Thanks for your work on this package, WorMzy!

WorMzy commented on 2021-05-01 19:34

Cool, I've disowned the package so feel free to adopt. :)

zootboy commented on 2021-05-01 18:45

Thanks! And sure, I'd be happy to take over maintenance. I use this program pretty frequently on my lower-powered laptops.

WorMzy commented on 2021-05-01 12:10

Cheers, I've tested the patch and it works fine. I've updated the package, but it doesn't really make sense for me to continue maintaining it as I haven't used it in years. If you're willing to take over, just let me know.

zootboy commented on 2021-04-29 20:15

Hmm, looks like the markdown renderer mangled the whitespace. Here's a pastebin:

https://pastebin.com/MthAPiad

The source of the patch is me. I personally prefer the gtk2 version of abiword, and it looks like the upstream git repo has removed gtk2 support, so I just patched around the breakage myself.

WorMzy commented on 2021-04-29 14:24

I'm not sure where that patch comes from, but it doesn't apply to the clean 3.0.4 source code. I suspect there are other patches that need to be applied first, but I don't see that patch listed at https://gitlab.gnome.org/World/AbiWord/-/commits/master/src/af/util/xp/ut_go_file.cpp

zootboy commented on 2021-04-29 07:05

Due to some changes in glib2, Abiword will segfault upon copy-paste operations. The following patch fixes the issue:

--- abiword-3.0.4/src/af/util/xp/ut_go_file.cpp 2019-11-26 17:22:10.000000000 -0800
+++ abiword-3.0.4/src/af/util/xp/ut_go_file.cpp 2021-04-26 23:21:53.484068087 -0700
@@ -1002,6 +1002,12 @@
    GFile *f = g_file_new_for_uri (uri);
    char *basename = g_file_get_basename (f);
    g_object_unref (G_OBJECT (f));
+   if (!basename) // Try again since the "uri" might just be a plain path.
+   {
+       f = g_file_new_for_path (uri);
+       basename = g_file_get_basename (f);
+       g_object_unref (G_OBJECT (f));
+   }
 #elif defined(GOFFICE_WITH_GNOME)
    char *raw_uri = gnome_vfs_unescape_string (uri, G_DIR_SEPARATOR_S);
    char *basename = raw_uri ? g_path_get_basename (raw_uri) : NULL;

bidulock commented on 2018-08-14 20:47

If it was from community version of abiword, I tried the patch and it works fine. Thank you!

WorMzy commented on 2018-08-14 17:23

Okay, I've added an extra change to the patch to make the configure script look for "enchant-2" now. I'm.. not sure when that library name was changed, it's possible that spell-checking has been broken for a looong time (I mostly use Google Docs nowadays). I've checked the fix works with my setup (using hunspell-en_GB), and I've pushed the update. Could you test the update on your setup, bidulock?

WorMzy commented on 2018-08-11 14:02

Sigh. These comments always come when I'm AFK in a field in Derbyshire. :P

I'll try to remember to update this package when I get home. Thanks for letting me know!